//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 08:51:11 PM CET 
//


package org.tdwg.abcd3.zoology;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * An atomized place name (an administrative or geoecological area) with possibility for hierarchical structuring.
 * 
 * <p>Java class for NamedArea complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NamedArea"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AreaClass" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Name" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NamedArea", propOrder = {
    "areaClass",
    "name"
})
@XmlSeeAlso({
    org.tdwg.abcd3.zoology.Gathering.NamedAreas.NamedArea.class
})
public class NamedArea {

    @XmlElement(name = "AreaClass")
    protected StringL areaClass;
    @XmlElement(name = "Name")
    protected StringL name;

    /**
     * Gets the value of the areaClass property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getAreaClass() {
        return areaClass;
    }

    /**
     * Sets the value of the areaClass property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setAreaClass(StringL value) {
        this.areaClass = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setName(StringL value) {
        this.name = value;
    }

}
